### API Overview: Data API Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml Please visit [Using the Data API](../docs/concepts/using-the-data-api.md) to get started ```yaml # Data API # Version: 3.0.0 Please visit [Using the Data API](../docs/concepts/using-the-data-api.md) to get started # Base URL: https://api.veracross.com/{school_route}/v3 ``` -------------------------------- ### GET /summer/courses Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /summer/courses ```markdown ### Parameters - **classification** (integer, query, optional): Classification - **on_or_before_last_modified_date** (string, query, optional): Last Modified Date - **on_or_after_last_modified_date** (string, query, optional): Last Modified Date - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Internal Course ID - **name** (string) (required): Course Name - **course_id** (string) (required): Course ID - **classification** (integer) (required): Classification - **catalog_title** (string) (required): Catalog Title - **catalog_description** (string) (required): Catalog Description - **subject_id** (integer) (required): Subject ID - **subject_description** (string) (required): Description - **department_id** (integer) (required): ID - **department_description** (string) (required): Description - **last_modified_date** (string) (required): Last Modified Date - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (classification))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/summer/courses?classification=0&on_or_before_last_modified_date=string&on_or_after_last_modified_date=string" ``` ``` -------------------------------- ### GET /programs/courses Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /programs/courses ```markdown ### Parameters - **on_or_before_last_modified_date** (string, query, optional): Last Modified Date - **on_or_after_last_modified_date** (string, query, optional): Last Modified Date - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Internal Course ID - **name** (string) (required): Course Name - **course_id** (string) (required): Course ID - **subject** (object) (required) - **id** (integer) (required): Subject ID - **description** (string) (required): Description - **catalog_title** (string) (required): Catalog Title - **catalog_description** (string) (required): Catalog Description - **last_modified_date** (string) (required): Last Modified Date - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/programs/courses?on_or_before_last_modified_date=string&on_or_after_last_modified_date=string" ``` ``` -------------------------------- ### GET /volunteer_coordinator/volunteers Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /volunteer_coordinator/volunteers ```markdown ### Parameters - **greater_than_or_equal_to_total_volunteer_hours** (number, query, optional): Total Volunteer Hours Total volunteer hours for all time - **less_than_or_equal_to_total_volunteer_hours** (number, query, optional): Total Volunteer Hours Total volunteer hours for all time - **role** (integer, query, optional): Role - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **person_id** (integer) (required): Person ID - **first_name** (string) (required): First Name - **preferred_name** (string) (required): Preferred Name - **last_name** (string) (required): Last Name - **total_volunteer_hours** (number) (required): Total Volunteer Hours Total volunteer hours for all time - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (role))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/volunteer_coordinator/volunteers?greater_than_or_equal_to_total_volunteer_hours=0&less_than_or_equal_to_total_volunteer_hours=0&role=0" ``` ``` -------------------------------- ### GET /programs/enrollments Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /programs/enrollments ```markdown ### Parameters - **internal_class_id** (integer, query, optional): Internal Class ID - **person_id** (integer, query, optional): Person ID - **exclude_from_transcript** (boolean, query, optional): Exclude From Transcript Excludes posted grades for this enrollment from being posted to the transcript. Selecting this option does NOT impact this student's GPA. - **school_year** (integer, query, optional): School Year - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Enrollment ID - **internal_class_id** (integer) (required): Internal Class ID - **class_description** (string) (required): Description - **primary_teacher** (object) (required) - **id** (integer) (required): Teacher ID - **name_prefix** (string) (required): Description - **first_name** (string) (required): First Name - **middle_name** (string) (required): Middle Name - **last_name** (string) (required): Last Name - **name_suffix** (string) (required): Description - **preferred_name** (string) (required): Preferred Name - **person_id** (integer) (required): Person ID - **grade_level_id** (integer) (required): ID - **currently_enrolled** (boolean) (required): Currently Enrolled A read-only calculated field, this field indicates whether the student is currently enrolled in the class. It is based on a combination of the "Late Date Enrolled" field, as well as the class "Begin Date" & "End Date". - **late_date_enrolled** (string) (required): Late Date Enrolled The date the student enrolled in the class - **date_withdrawn** (string) (required): Date Withdrawn The date the student withdrew from the class - **level** (integer) (required): Enrollment Level The enrollment level is used when some students are taking the class for a different level of credit than other students. If all students are taking the course for the same level of credit, setting the enrollment level is NOT necessary. If the student's enrollment level should influence GPA, please review "override grade conversion scale" on the student's class enrollment record. - **exclude_from_transcript** (boolean) (required): Exclude From Transcript Excludes posted grades for this enrollment from being posted to the transcript. Selecting this option does NOT impact this student's GPA. - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (level|school_year))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/programs/enrollments?internal_class_id=0&person_id=0&exclude_from_transcript=true&school_year=0" ``` ``` -------------------------------- ### GET /transportation/trips Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /transportation/trips ```markdown ### Parameters - **date** (string, query, optional): Trip Date - **person_id** (integer, query, optional): Person ID - **transportation_method** (integer, query, optional): Transportation Method - **origination** (integer, query, optional): Origination - **destination** (integer, query, optional): Destination - **bus_route_id** (integer, query, optional): Bus Route - **bus_stop_id** (integer, query, optional): Bus Stop ID - **rider_status** (integer, query, optional): Rider Status - **on_or_before_date** (string, query, optional): Trip Date - **on_or_after_date** (string, query, optional): Trip Date - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Person Trip ID - **date** (string) (required): Trip Date - **person_id** (integer) (required): Person ID - **person_name** (string) (required): Person - **person_preferred_name** (string) (required): Preferred Name - **transportation_method** (integer) (required): Transportation Method - **normal_transportation_method** (integer) (required): Normal Transportation Method The transportation method normally used on this day by this person - **origination** (integer) (required): Origination - **origination_address** (string) (required): Origination Address - **destination** (integer) (required): Destination - **destination_address** (string) (required): Destination Address - **bus_route_id** (integer) (required): Bus Route - **normal_bus_route_id** (integer) (required): Normal Bus Route The bus route normally taken on this day by this person - **bus_stop_id** (integer) (required): Bus Stop ID - **normal_bus_stop_id** (integer) (required): Normal Bus Stop - **stop_number** (integer) (required): Stop # - **rider_status** (integer) (required): Rider Status - **scheduled_departure_time** (string) (required): Scheduled Departure Time - **alternate_departure_time** (string) (required): Alternate Departure Time - **scheduled_arrival_time** (string) (required): Scheduled Arrival Time - **alternate_arrival_time** (string) (required): Alternate Arrival Time - **traveling_with** (string) (required): Traveling With The student listed above is riding with the student listed in this field. - **after_school_class** (string) (required): After School Class - **attendance_status** (integer) (required): Attendance Status The attendance status for the student on this date - **attendance_notes** (string) (required): Attendance Notes - **fee** (number) (required): Fee - **fee_paid** (boolean) (required): Fee Paid - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (transportation_method|normal_transportation_method|origination|destination|bus_route_id|normal_bus_route_id|normal_bus_stop_id|rider_status|attendance_status))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/transportation/trips?date=string&person_id=0&transportation_method=0&origination=0&destination=0&bus_route_id=0&bus_stop_id=0&rider_status=0&on_or_before_date=string&on_or_after_date=string" ``` ``` -------------------------------- ### GET /directory/configurations Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /directory/configurations ```markdown ### Parameters - **directory_type** (integer, query, optional): Directory Type - **category** (string, query, optional): Category - **configuration** (string, query, optional): Configuration - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Directory Type Configuration ID - **directory_type** (integer) (required): Directory Type - **category** (string) (required): Category - **description** (string) (required): Description - **preference_key** (string) (required): Configuration - **options_json** (string) (required): Value List A JSON string representing the values possible for this particular directory type configuration record. - **value** (string) (required): Value - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (directory_type))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/directory/configurations?directory_type=0&category=string&configuration=string" ``` ``` -------------------------------- ### GET /transportation/schedules Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /transportation/schedules ```markdown ### Parameters - **person_id** (integer, query, optional): Person ID - **school_year** (integer, query, optional): School Year In most circumstances, the value in this field should be the Current School Year; but this field allows you to set up routes that run during a different "Year," such as Summer routes. - **grading_period** (integer, query, optional): Grading Period In most circumstances, the value in this field should be Grading Period ALL. But, if your routes need to change at the end of a grading period, you can set up those routes far in advance by selecting a Grading Period. - **day** (integer, query, optional): Day - **am_pm** (integer, query, optional): AM/PM - **transportation_method** (integer, query, optional): Transportation Method - **bus_route_id** (integer, query, optional): Bus Route - **bus_stop_id** (integer, query, optional): ID - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): ID - **person_id** (integer) (required): Person ID - **person_name** (string) (required): Person - **person_preferred_name** (string) (required): Preferred Name - **current_grade** (integer) (required): Current Grade - **school_year** (integer) (required): School Year In most circumstances, the value in this field should be the Current School Year; but this field allows you to set up routes that run during a different "Year," such as Summer routes. - **grading_period** (integer) (required): Grading Period In most circumstances, the value in this field should be Grading Period ALL. But, if your routes need to change at the end of a grading period, you can set up those routes far in advance by selecting a Grading Period. - **day** (integer) (required): Day - **am_pm** (integer) (required): AM/PM - **pick_up_drop_off_time** (string) (required): PU/Drop-Off Time Specify an early/late arrival/departure time. Only to be used if the Pick Up / Drop off time for a student should deviate from the time specified on the Stop. - **transportation_method** (integer) (required): Transportation Method - **bus_route_id** (integer) (required): Bus Route - **bus_stop_id** (integer) (required): ID - **bus_stop_time** (string) (required): Time - **carpool** (string) (required): Carpool - **after_school_class** (string) (required): After School Class - **after_school_activity_type** (integer) (required): Activity Specify any activity the student is involved in which affects transportation - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (current_grade|school_year|grading_period|day|am_pm|transportation_method|bus_route_id|after_school_activity_type))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/transportation/schedules?person_id=0&school_year=0&grading_period=0&day=0&am_pm=0&transportation_method=0&bus_route_id=0&bus_stop_id=0" ``` ``` -------------------------------- ### POST /summer/courses Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for POST /summer/courses ```markdown ### Request Body **Content-Type:** application/json - **data** (object) (required) - **name** (string) (required): Description - **subject_id** (string) (required): Subject - **course_id** (string): Course ID - **catalog_title** (string): Catalog Title - **catalog_description** (string): Notes ### Responses #### 201 - Created **post** - **data** (object) (required) - **id** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X POST "https://api.veracross.com/{school_route}/v3/summer/courses" \ -H "Content-Type: application/json" \ -d '{ "data": { "name": "string", "subject_id": "string", "course_id": "string", "catalog_title": "string", "catalog_description": "string" } }' ``` ``` -------------------------------- ### GET /transportation/bus_trips Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /transportation/bus_trips ```markdown ### Parameters - **bus_route_id** (integer, query, optional): Bus Route - **date** (string, query, optional): Bus Trip Date - **driver** (string, query, optional): Driver - **on_or_before_date** (string, query, optional): Bus Trip Date - **on_or_after_date** (string, query, optional): Bus Trip Date - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): Bus Trip ID - **bus_route_id** (integer) (required): Bus Route - **date** (string) (required): Bus Trip Date - **start_time** (string) (required): Start Time - **end_time** (string) (required): End Time - **start_location** (string) (required): Start Location - **number_of_riders** (integer) (required): # of Riders - **driver** (string) (required): Driver - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (bus_route_id))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/transportation/bus_trips?bus_route_id=0&date=string&driver=string&on_or_before_date=string&on_or_after_date=string" ``` ``` -------------------------------- ### GET /transportation/bus_stops Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /transportation/bus_stops ```markdown ### Parameters - **bus_route_id** (integer, query, optional): Bus Route - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): ID - **bus_route_id** (integer) (required): Bus Route - **location** (string) (required): Location - **time** (string) (required): Time - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (bus_route_id))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/transportation/bus_stops?bus_route_id=0" ``` ``` -------------------------------- ### POST /programs/courses Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for POST /programs/courses ```markdown ### Request Body **Content-Type:** application/json - **data** (object) (required) - **name** (string) (required): Description - **subject_id** (string) (required): Subject - **course_id** (string): Course ID - **catalog_title** (string): Catalog Title - **catalog_description** (string): Notes ### Responses #### 201 - Created **post** - **data** (object) (required) - **id** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X POST "https://api.veracross.com/{school_route}/v3/programs/courses" \ -H "Content-Type: application/json" \ -d '{ "data": { "name": "string", "subject_id": "string", "course_id": "string", "catalog_title": "string", "catalog_description": "string" } }' ``` ``` -------------------------------- ### GET /transportation/bus_routes Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /transportation/bus_routes ```markdown ### Parameters - **am_pm** (integer, query, optional): AM/PM - **driver** (string, query, optional): Driver - **X-Page-Number** (integer, header, optional): Page number - **X-Page-Size** (integer, header, optional): Number of records per page (for collection endpoints) - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (array (object)) (required) Array items: - **id** (integer) (required): ID - **description** (string) (required): Description - **am_pm** (integer) (required): AM/PM - **start_time** (string) (required): Start Time The time the bus departs - **end_time** (string) (required): End Time The time the bus arrives at the last stop - **number_of_stops** (integer) (required): # Stops - **capacity** (integer) (required): Capacity The number of people the bus can hold - **max_scheduled_rider_count** (integer) (required): Maximum Ridership The maximum number of students scheduled on a given day - **organization** (string) (required): Organization - **driver** (string) (required): Driver - **mobile_phone** (string) (required): Mobile Phone - **notes** (string) (required): Notes - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` Array items: - **fields** (array (string (am_pm))) (required): An array of field names from `data` that this value list goes with - **items** (array (object)) (required): An array of value list items whose `id` field matches the value in the response data Array items: - **id** (string) (required) - **description** (string) (required) - **category** (integer) - **sort_key** (integer) (required) - **obsolete** (boolean) - **categories** (array (object)) (required): An array of "category" objects, which allow you to partition the value list items according to their category field Array items: - **id** (integer) (required) - **description** (string) (required) - **sort_key** (integer) (required) #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/transportation/bus_routes?am_pm=0&driver=string" ``` ``` -------------------------------- ### GET /programs/courses/{id} Source: https://stoplight.io/api/v1/projects/veracross/docs/nodes/reference/Data-API.yaml API endpoint for GET /programs/courses/{id} ```markdown ### Parameters - **X-API-Value-Lists** (string (include), header, optional): Include Value Lists in response ### Responses #### 200 - OK - **data** (object) (required) - **id** (integer) (required): Internal Course ID - **name** (string) (required): Course Name - **course_id** (string) (required): Course ID - **subject** (object) (required) - **id** (integer) (required): Subject ID - **description** (string) (required): Description - **catalog_title** (string) (required): Catalog Title - **catalog_description** (string) (required): Catalog Description - **last_modified_date** (string) (required): Last Modified Date - **value_lists** (array (object)): Present only with header `X-API-Value-Lists = include` #### 4XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. #### 5XX - > Note: Be sure to check the HTTP response code for these errors as well **error** - **error** (string) (required): The description of the error - **error_id** (string) (required): A unique ID for this specific error. Please provide this error id when you ask for help with an error. ### Example Usage ```bash curl -X GET "https://api.veracross.com/{school_route}/v3/programs/courses/{id}" ``` ```